API Docs
YMS API
Order Controller
POST Update Order

POST Update order

Introduction

Update an existing order by its order ID. This API allows you to modify order details such as customer, carrier, equipment information, item lines, and dynamic field values. Only the fields provided in the request body will be updated.

POST /order/{orderId}/update

Body Request Parameters

{
  "orderStatus": "string",
  "customerId": "string",
  "poNo": "string",
  "referenceNo": "string",
  "retailer": "string",
  "shipFrom": "string",
  "shipTo": "string",
  "totalPalletQty": 0,
  "totalCartonQty": 0,
  "itemInfos": [
    {
      "itemId": "string",
      "itemName": "string",
      "itemQty": "string",
      "palletQty": "string",
      "itemSpecDesc": "string",
      "itemSpecName": "string",
      "uomId": "string",
      "qty": "string"
    }
  ],
  "dynamicFieldValues": [
    {
      "fieldCode": "string",
      "value": "string",
      "values": [
        "string"
      ]
    }
  ]
}

Request Parameters

NameLocationTypeRequiredDescription
orderIdpathstringYesOrder ID
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
Item-Bam-ClientheaderstringNonone
x-facility-idheaderstringNonone
bodybodyobjectNonone
» orderStatusbodystringNoCurrent status of the order
» customerIdbodystringNoCustomer identifier
» poNobodystringNoPurchase order number
» referenceNobodystringNoReference number
» retailerbodystringNoRetailer name
» shipFrombodystringNoShip-from location (name or code)
» shipTobodystringNoShip-to location (name or code)
» totalPalletQtybodyintegerNoTotal number of pallets
» totalCartonQtybodyintegerNoTotal number of cartons
» itemInfosbody[ItemInfo]NoItems included in the order
»» itemIdbodystringNoItem identifier
»» itemNamebodystringNoItem name
»» itemQtybodystringNoItem quantity
»» palletQtybodystringNoItem pallet Qty
»» itemSpecDescbodystringNoItem spec desc
»» itemSpecNamebodystringNoItem spec name
»» uomIdbodystringNoitem uomId
»» qtybodystringNoqty
» dynamicFieldValuesbody[object]NoDynamic field values for custom attributes
»» fieldCodebodystringYesField code
»» valuebodystringNonone
»» valuesbody[string]No多选值列表,优先于 value 使用

Response Example

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "orderId": "",
    "orderStatus": "",
    "customerId": "",
    "poNo": "",
    "referenceNo": "",
    "retailer": "",
    "shipFrom": "",
    "shipTo": "",
    "totalPalletQty": 0,
    "totalCartonQty": 0,
    "itemInfos": [
      {
        "itemId": "",
        "itemName": "",
        "itemQty": "",
        "palletQty": "",
        "itemSpecDesc": "",
        "itemSpecName": "",
        "uomId": "",
        "qty": ""
      }
    ],
    "customerName": "",
    "carrierName": "",
    "shipToAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "shipFromAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "appointmentTime": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "fieldName": "",
        "longValue": "",
        "shortValue": ""
      }
    ],
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNo": "",
    "shippedTime": ""
  }
}
{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "orderId": "",
    "orderStatus": "",
    "customerId": "",
    "poNo": "",
    "referenceNo": "",
    "retailer": "",
    "shipFrom": "",
    "shipTo": "",
    "totalPalletQty": 0,
    "totalCartonQty": 0,
    "itemInfos": [
      {
        "itemId": "",
        "itemName": "",
        "itemQty": "",
        "palletQty": "",
        "itemSpecDesc": "",
        "itemSpecName": "",
        "uomId": "",
        "qty": ""
      }
    ],
    "customerName": "",
    "carrierName": "",
    "shipToAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "shipFromAddress": {
      "id": "",
      "name": "",
      "country": "",
      "state": "",
      "city": "",
      "zipCode": "",
      "fax": "",
      "address1": "",
      "address2": "",
      "contact": "",
      "phone": "",
      "extension": "",
      "email": "",
      "orgId": "",
      "orgName": "",
      "referenceNo": "",
      "batchCode": "",
      "storeNo": "",
      "shorthand": "",
      "toHome": false,
      "tags": [
        ""
      ],
      "latitude": "",
      "longitude": "",
      "crmAddressId": ""
    },
    "appointmentTime": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "values": [
          ""
        ],
        "fieldName": "",
        "longValue": "",
        "shortValue": "",
        "valueType": "",
        "optionsType": "",
        "options": [
          ""
        ]
      }
    ],
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNo": "",
    "shippedTime": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneROrderView